Bug 138049 - Clicking on "OK" button on Tools > Options > LibreOffice > Advanced does not respond after I clicked "Enable Experimental Feature" checkbox
Summary: Clicking on "OK" button on Tools > Options > LibreOffice > Advanced does not ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected
Depends on:
Blocks:
 
Reported: 2020-11-07 10:50 UTC by Kevin Suo
Modified: 2020-11-17 10:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2020-11-07 10:50:59 UTC
Description:
LibreOffice is not responding on Tools > Options > LibreOffice > Advanced dialog, when I click "Enable Experimental Feature".

Steps to Reproduce:
Steps to Reproduce:
1. Go to Tools > Options > LibreOffice > Advanced
2. Click on the "Enable Experimental Feature" checkbox
3. Click OK button.

Actual Results:
No response.

Expected Results:
Respond.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: today's master on Fedora 32 linux.
Comment 1 Kevin Suo 2020-11-07 10:54:09 UTC
Bibisected to range:
806c696ccdac69e274cbfeac0cb45ea59555c01d..6b367107d7c51fc868ab0a116019ee26408a0395

However, before 806c696ccdac69e274cbfeac0cb45ea59555c01d when clicking on OK button although it is responding, I get a blank area on this dialog and the dialog is not closed also.

Adding Caolán McNamara in CC list as he workded on commit 	78c6e88e163f50eccc1cebdb2defe9ec4af248ce which is related to the OK/Apply botton. Would you please take a look?
Comment 2 Caolán McNamara 2020-11-16 15:24:13 UTC
I'm not certain I'm looking at the right problem, but if I am then https://gerrit.libreoffice.org/c/core/+/105951 should solve the problem
Comment 3 Commit Notification 2020-11-16 20:38:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd4a239063a77d49fe178255c20f0558e337a82f

tdf#138049 different parents for restart dialog depending on ok vs apply

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Kevin Suo 2020-11-17 10:17:25 UTC
Verified fixed on master.